Raw data - BI
Business Intelligence
All these methods require the key-permission: API_RAW_TABLE_READ.
Get available data and columns
GET https://account.omnidesk.com/api/v2/raw
The index lists all available data through the raw endpoint. See the response tab below for a sample response.
{
"type": "item",
"item": [
{
"name": "tickets",
"availableColumns": [
"id",
"brand_id",
"channel_id",
"direction",
"from",
"to",
"status",
"priority",
"assigned_user_id",
"assigned_group_id",
"title",
"created_at",
"last_update",
"grade_by_customer",
"solved_at",
"customer_external_id",
"summary"
],
"availableFilters": [
"time"
],
"timeColumn": "created_at"
},
{
"name": "messages",
"availableColumns": [
"id",
"brand_id",
"content",
"type",
"direction",
"user_id_created",
"customer_id",
"channel_id",
"ticket_id",
"created_at",
"updated_at",
"address_from",
"address_to"
],
"availableFilters": [
"time"
],
"timeColumn": "created_at"
},
{
"name": "form_field_to_ticket",
"availableColumns": [
"id",
"ticket_id",
"form_field_id",
"form_field_value",
"created_at",
"form_field_value_text"
],
"availableFilters": [
"time"
],
"timeColumn": "created_at"
},
{
"name": "user_ticket_opened_history",
"availableColumns": [
"id",
"ticket_id",
"user_id",
"opened_at",
"closed_at"
],
"availableFilters": [
"time"
],
"timeColumn": "opened_at"
},
{
"name": "ticket_history",
"availableColumns": [
"id",
"ticket_id",
"item_type",
"message",
"by_user_id",
"item_type_id_before",
"item_type_id",
"created_at",
"by_system_module"
],
"availableFilters": [
"time"
],
"timeColumn": "created_at"
},
{
"name": "telephone_calls_inbound",
"availableColumns": [
"id",
"brand_id",
"ticket_id",
"a_number",
"b_number",
"assigned_to_user",
"time_created",
"time_wait_start",
"time_assigned",
"time_ended",
"time_wrapup_complete",
"external_id"
],
"availableFilters": [
"time_created"
],
"timeColumn": "time_created"
},
{
"name": "telephone_calls",
"availableColumns": [
"id",
"brand_id",
"ticket_id",
"a_number",
"b_number",
"assigned_to_user",
"time_created",
"time_wait_start",
"time_assigned",
"time_ended",
"time_wrapup_complete",
"external_id",
"direction"
],
"availableFilters": [
"time_created",
"direction"
],
"timeColumn": "time_created"
},
{
"name": "user_status",
"availableColumns": [
"id",
"user_id",
"session_id",
"status_id",
"status_from",
"status_to",
"session_last_seen"
],
"availableFilters": [
"time"
],
"timeColumn": "status_from"
},
{
"name": "chat_sessions",
"availableColumns": [
"brand_id",
"campaign",
"assigned_to_user",
"ticket_id",
"direction",
"status",
"time_created",
"time_wait_start",
"time_assigned",
"time_ended",
"last_url_visited"
],
"availableFilters": [
"time"
],
"timeColumn": "created_at"
},
{
"name": "survey_data",
"availableColumns": [
"id",
"survey_id",
"survey_field_id",
"ticket_id",
"data_value",
"created_at"
],
"availableFilters": [
"time"
],
"timeColumn": "created_at"
},
{
"name": "triggers_requests",
"availableColumns": [
"id",
"ticket_id",
"trigger_id",
"processed_at",
"request_status_code",
"request_response"
],
"availableFilters": [
"time",
"ticket_id",
"trigger_id",
"request_status_code"
],
"timeColumn": "processed_at"
}
]
}The following raw data is available:
Available table
tickets
messages
ticket_history
form_field_to_ticket
user_ticket_opened_history
telephone_calls_inbound
telephone_calls
user_status
chat_sessions
survey_data
triggers_requests
Requesting data for a given table
GET https://account.omnidesk.com/api/v2/raw/tableData
The actual data can be fetched with this endpoint. Use the data of the method above to generate a valid URL with valid columns and filters.
Path Parameters
itemStart
integer
The record that should be started at, example: 0
itemLimit
integer
Amount of records to return, default: 1000, max: 5000
start
string
Timestamp of when the data should start, example: 2025-01-01 00:00:00
end
string
Timestamp of when the data should end, example: 2025-02-01 00:00:00
table
string
The table to get the data from, example: telephone_calls_inbound
columns
string
comma separated list of the columns you want data from
In the response tab above there is a result sample of this request for the following sample url: https://account.omnidesk.com/api/v2/raw/tableData?table=telephone_calls_inbound&columns=id, brand_id,ticket_id,assigned_to_user,time_created,time_wait_start,time_assigned, time_ended,time_wrapup_complete&itemStart=0&start=2020-02-25 00:00:00&end=2020-02-26 00:00:00
Last updated